%define sub_version             0.1

Name:       ibus-input-pad
Version:    0.1.3
Release:    1%{?dist}
Summary:    Input Pad for IBus
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext-devel
BuildRequires:  gtk2-devel
BuildRequires:  libtool
BuildRequires:  ibus-devel
BuildRequires:  input-pad-devel
BuildRequires:  intltool
Requires:       ibus

%description
The input pad engine for IBus platform.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-input-pad
%{_libexecdir}/ibus-setup-input-pad
%{_datadir}/ibus/component/*
%{_datadir}/ibus-input-pad

%changelog
* Mon Jul 26 2010 Takao Fujiwara <tfujiwar@redhat.com> - 0.1.3-1
- Bumped to 0.1.3

* Thu Jul 08 2010 Takao Fujiwara <tfujiwar@redhat.com> - 0.1.2-1
- Bumped to 0.1.2
- Added setup dialog.

* Wed Jun 30 2010 Takao Fujiwara <takao.fujiwara1@gmail.com> - 0.1.0.20100630-1
- Initial Implementation. Bug 604500
